Index: /extensions/piwigo_videojs/language/ru_RU/description.txt
===================================================================
--- /extensions/piwigo_videojs/language/ru_RU/description.txt	(revision 24687)
+++ /extensions/piwigo_videojs/language/ru_RU/description.txt	(revision 24687)
@@ -0,0 +1,1 @@
+Установки videojs для Piwigo
Index: /extensions/piwigo_videojs/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/piwigo_videojs/language/ru_RU/plugin.lang.php	(revision 24687)
+++ /extensions/piwigo_videojs/language/ru_RU/plugin.lang.php	(revision 24687)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['AUTOPLAY'] = 'Автозапуск';
+$lang['AUTOPLAY_DESC'] = 'Если автозапуск включен, что показ видео начинается сразу, как только загрузится страница (без диалога с пользователем). НЕ ПОДДЕРЖИВАЕТСЯ на устройствах APPLE с iOS.';
+$lang['CONTROLS'] = 'Управление';
+$lang['CONTROLS_DESC'] = 'Здесь устанавливаются те виды управления плеером, которые может применять пользователь';
+$lang['CUSTOMCSS'] = 'Настойки CSS';
+$lang['CUSTOMCSS_DESC'] = 'Настроить CSS, скопировав их с сайта VideoJS';
+$lang['HTML5'] = 'Установки видеотэгов HTML5';
+$lang['LOOP'] = 'Автоперемотка';
+$lang['LOOP_DESC'] = '"Автоперемотка" начинает показывать видео сначала, как только оно заканчивается.';
+$lang['PLUGIN'] = 'Установки плагина';
+$lang['PRELOAD'] = 'Предзагрузка';
+$lang['PRELOAD_DESC'] = '"Предзагрузка" информирует браузер о загрузке видео при загрузке видеотэга.';
+$lang['SKIN'] = 'Стиль';
+$lang['SKIN_DESC'] = 'Выбор стиля, который Вы хотите применить к своему плейеру.';
+$lang['WIDTH'] = 'Максимальная ширина';
+$lang['WIDTH_DESC'] = '"Максимальная ширина" задает ширину отображаемого видео; при превышении происходит деление на 2.';
+?>