Index: extensions/EasyCaptcha/language/ca_ES/description.txt
===================================================================
--- extensions/EasyCaptcha/language/ca_ES/description.txt	(revision 24692)
+++ extensions/EasyCaptcha/language/ca_ES/description.txt	(revision 24692)
@@ -0,0 +1,1 @@
+Un divertit sistema anti-bots per als comentaris, formulari de registre, formulari de contacte i llibre de visites.
Index: extensions/EasyCaptcha/language/ca_ES/icons.lang.php
===================================================================
--- extensions/EasyCaptcha/language/ca_ES/icons.lang.php	(revision 24692)
+++ extensions/EasyCaptcha/language/ca_ES/icons.lang.php	(revision 24692)
@@ -0,0 +1,45 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['trash'] = 'paperera';
+$lang['ball'] = 'pilota';
+$lang['camera'] = 'càmera';
+$lang['car'] = 'cotxe';
+$lang['cookie'] = 'galleta';
+$lang['disk'] = 'disc';
+$lang['mobile phone'] = 'telèfon mòbil';
+$lang['printer'] = 'impressora';
+$lang['scissors'] = 'estisores';
+$lang['shopping cart'] = 'carret de la compra';
+$lang['shoe'] = 'sabata';
+$lang['suitcase'] = 'maleta';
+$lang['DVD'] = 'DVD';
+$lang['battery'] = 'bateria';
+$lang['bicycle'] = 'bicicleta';
+$lang['book'] = 'llibre';
+$lang['calculator'] = 'calculadora';
+$lang['calendar'] = 'calendari';
+$lang['guitar'] = 'guitarra';
+$lang['hat'] = 'barret';
+$lang['house'] = 'caball';
+$lang['pencil'] = 'llapis';
+?>
Index: extensions/EasyCaptcha/language/ca_ES/pets.lang.php
===================================================================
--- extensions/EasyCaptcha/language/ca_ES/pets.lang.php	(revision 24692)
+++ extensions/EasyCaptcha/language/ca_ES/pets.lang.php	(revision 24692)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['bat'] = 'ratpenat';
+$lang['panda'] = 'panda';
+$lang['duck'] = 'ànec';
+$lang['eagle'] = 'àguila';
+$lang['frog'] = 'gripau';
+$lang['ladybug'] = 'marieta';
+$lang['lion'] = 'lleó';
+$lang['penguin'] = 'pingüí';
+$lang['butterfly'] = 'papallona';
+$lang['cat'] = 'gat';
+$lang['dog'] = 'gos';
+$lang['elephant'] = 'elefant';
+$lang['fish'] = 'peix';
+$lang['fox'] = 'guineu';
+$lang['horse'] = 'caball';
+$lang['mouse'] = 'ratolí';
+$lang['snake'] = 'serp';
+?>
Index: extensions/EasyCaptcha/language/ca_ES/plugin.lang.php
===================================================================
--- extensions/EasyCaptcha/language/ca_ES/plugin.lang.php	(revision 24608)
+++ extensions/EasyCaptcha/language/ca_ES/plugin.lang.php	(revision 24692)
@@ -8,3 +8,28 @@
 $lang['Moderate'] = 'Moderat';
 $lang['Picture comments'] = 'Comentaris de la imatge';
+$lang['You are player X, click on the right case to complete the line.'] = 'Sou el jugador X, cliqueu sobre el cas correcte per completar la línia.';
+$lang['Tic-tac-toe minigame'] = 'Minijoc Tic-Tac-toe';
+$lang['Tic-tac-toe options'] = 'Opcions Tic-Tac-toe';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Per verificar que vostè es una persona humana, si us plau arrastreu la <b>%s</b> en el lloc més correcte.';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Aquest repte requereix que la funcionalitat de JavaScript estigui activada en els navegadors dels visitants. Vora d\'un 1% dels usuaris tenen la funcionalitat JavaScript desactivada.';
+$lang['Pleaser answer'] = 'Si us plau contesteu';
+$lang['Drop'] = 'Arrastra';
+$lang['Drag & drop options'] = 'Opcions de \'clica i arrastra\'';
+$lang['Image drag & drop'] = 'Imatge clica i arrastra';
+$lang['Invalid color code <i>%s</i>'] = 'Color <i>%s</i> no vàlid';
+$lang['Challenge'] = 'Repte';
+$lang['Background'] = 'Fons';
+$lang['Border'] = 'Vora';
+$lang['Contact form'] = 'Formulari de contacte';
+$lang['Image border'] = 'Vora de la imatge';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Heu d\'activar la funcionalitat de JavaScript en el vostre navegador per poder permetre afegir comentaris. Perdoneu els inconvenients.';
+$lang['Colors'] = 'Colors';
+$lang['Image'] = 'Imatge';
+$lang['Image size'] = 'Mida de la imatge';
+$lang['Invalid answer'] = 'Resposta incorrecta';
+$lang['Marks'] = 'Marques';
+$lang['Number of images'] = 'Número d\'imatges';
+$lang['Random'] = 'Aleatori';
+$lang['Text'] = 'Texte';
+$lang['Theme'] = 'Tema';
 ?>