Index: /extensions/piwigo-openstreetmap/language/en_UK/description.txt
===================================================================
--- /extensions/piwigo-openstreetmap/language/en_UK/description.txt	(revision 24699)
+++ /extensions/piwigo-openstreetmap/language/en_UK/description.txt	(revision 24700)
@@ -1,1 +1,1 @@
-OpenStreetMap integration for piwigo
+OpenStreetMap integration for Piwigo
Index: /extensions/piwigo-openstreetmap/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwigo-openstreetmap/language/en_UK/plugin.lang.php	(revision 24699)
+++ /extensions/piwigo-openstreetmap/language/en_UK/plugin.lang.php	(revision 24700)
@@ -13,6 +13,6 @@
 $lang['RIGHTLINK'] = "Name of the location header";
 $lang['RIGHTLINK_DESC'] = "Type the name to display on top of the map.";
-$lang['RIGHTLINKCSS'] = "CustomCSS";
-$lang['RIGHTLINKCSS_DESC'] = "Custom CSS style to apply on the location header.";
+$lang['RIGHTLINKCSS'] = 'Custom CSS';
+$lang['RIGHTLINKCSS_DESC'] = 'Custom CSS style to apply to the location header.';
 $lang['SHOWOSM'] = "Display 'View on OpenStreetMap'";
 $lang['SHOWOSM_DESC'] = "Add a link after the map to view it on OpenStreetMap.";
@@ -20,9 +20,9 @@
 $lang['L_MAP'] = "Left menu configuration";
 $lang['SHOWWORLDMAPLEFT'] = "Add a world map menu on the left";
-$lang['SHOWWORLDMAPLEFT_DESC'] = "Show a world map menu on the left menu, will display all the image of the gallery.";
+$lang['SHOWWORLDMAPLEFT_DESC'] = 'Show a world map menu on the left menu, will display all the images in the gallery.';
 $lang['LEFTLINK'] = "World map menu name";
 $lang['LEFTLINK_DESC'] = "Type the name of the link to show on the left menu.";
 $lang['LEFTPOPUP'] = "Show popup";
-$lang['LEFTPOPUP_DESC'] = "Show a popup window if you click to the pin.";
+$lang['LEFTPOPUP_DESC'] = 'Show a popup window if you click on the pin.';
 $lang['CLICK'] = "show on click";
 $lang['ALWAYS'] = "show immediately";
@@ -40,11 +40,11 @@
 $lang['BASELAYER_DESC'] = "Mapnik is the default style of OpenStreetMap.";
 $lang['CUSTOMBASELAYER'] = "Custom map style";
-$lang['CUSTOMBASELAYER_DESC'] = "Only if choosed 'custom' as map style. Who delivers the map style (tiles)?";
+$lang['CUSTOMBASELAYER_DESC'] = 'Only if \'custom\' is selected as map style. Who delivers the map style (tiles)?';
 $lang['CUSTOMBASELAYERURL'] = "Tile server URL";
-$lang['CUSTOMBASELAYERURL_DESC'] = "Only if choosed 'custom' as map style. Example: http://tile.openstreetmap.org/{z}/{x}/{y}.png";
+$lang['CUSTOMBASELAYERURL_DESC'] = 'Only if \'custom\' is selected as map style. Example: http://tile.openstreetmap.org/{z}/{x}/{y}.png';
 $lang['NOWORLDWARP'] = "No Worldwarp";
 $lang['NOWORLDWARP_DESC'] = "Normally the world will continue to the left and the right. This option restricts the view to 'one world'.";
 $lang['ATTRLEAFLET'] = "Show 'Powered by Leaflet'";
-$lang['ATTRLEAFLET_DESC'] = "Shows a attribution of the used JavaScript library for interactive maps 'Leaflet'.";
+$lang['ATTRLEAFLET_DESC'] = 'Shows attribution of the used JavaScript library for interactive \'Leaflet\' maps.';
 $lang['ATTRIMAGERY'] = "Show map style";
 $lang['ATTRIMAGERY_DESC'] = "Shows the used map style.";
@@ -54,5 +54,5 @@
 $lang['H_PIN'] = "Pin configuration";
 $lang['PIN'] = "Select pin";
-$lang['PIN_DESC'] = "Select the last option if wonna use your own.";
+$lang['PIN_DESC'] = 'Select the last option if you want to use your own.';
 $lang['OWNPIN'] = "own (custom style)";
 $lang['NOPIN'] = "no pin";
@@ -63,19 +63,19 @@
 $lang['PINSIZE_DESC'] = "Dimensions of the picture in px. The delimiter is 'x'. Example: '24x24'";
 $lang['PINSHADOWPATH'] = "Shadow";
-$lang['PINSHADOWPATH_DESC'] = "Path to the image of the shadow of your pin.";
+$lang['PINSHADOWPATH_DESC'] = 'Path to your pin\'s shadow image.';
 $lang['PINSHADOWSIZE'] = "Shadow size";
 $lang['PINSHADOWSIZE_DESC'] = "Dimensions of the picture in px. The delimiter is 'x'. Example: '24x24'";
 $lang['PINOFFSET'] = "Pin point offset";
-$lang['PINOFFSET_DESC'] = "The position on the pin image, where the pin hits the map. 0x0 ist the top-left corner. Example: crosshairs = center of the image";
+$lang['PINOFFSET_DESC'] = 'The position on the pin image, where the pin hits the map. 0x0 is the top-left corner. Example: crosshairs = center of the image';
 $lang['PINPOPUPOFFSET'] = "Popup offset";
-$lang['PINPOPUPOFFSET_DESC'] = "The position on the pin image, where the popup hits the pin. 0x0 ist the pin point.";
+$lang['PINPOPUPOFFSET_DESC'] = 'The position on the pin image, where the popup hits the pin. 0x0 is the pin point.';
 
 $lang['PLUGINCONF'] = "Plugin options";
-$lang['AUTOSYNC'] = "Automatically sync EXIF if exist";
-$lang['AUTOSYNC_DESC'] = "When metadata is synchronized, coordinates might be overriden. Disable it if you have 'RV Maps & Earth' installed.";
+$lang['AUTOSYNC'] = 'Automatically sync EXIF if it exist';
+$lang['AUTOSYNC_DESC'] = 'When metadata is synchronized, coordinates might be overridden. Disable if you have \'RV Maps & Earth\' installed.';
 $lang['BATCHMANAGER'] = "Enable Batch Manager integration";
-$lang['BATCHMANAGER_DESC'] = "Allow to modify latitude, longitude manually. Disable it if you have 'RV Maps & Earth' installed.";
+$lang['BATCHMANAGER_DESC'] = 'Allow to modify latitude and longitude manually. Disable if you have \'RV Maps & Earth\' installed.';
 
-$lang['POWERBY'] = "Power by";
+$lang['POWERBY'] = 'Powered by';
 $lang['IMAGERYBY'] = "Imagery by";
 $lang['PLUGINBY'] = "Plugin by";