Index: /extensions/piwigo-openstreetmap/language/lv_LV/description.txt
===================================================================
--- /extensions/piwigo-openstreetmap/language/lv_LV/description.txt	(revision 24725)
+++ /extensions/piwigo-openstreetmap/language/lv_LV/description.txt	(revision 24725)
@@ -0,0 +1,1 @@
+OpenStreetMap integrēšana Piwigo
Index: /extensions/piwigo-openstreetmap/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/piwigo-openstreetmap/language/lv_LV/plugin.lang.php	(revision 24725)
+++ /extensions/piwigo-openstreetmap/language/lv_LV/plugin.lang.php	(revision 24725)
@@ -0,0 +1,61 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['RIGHTLINKCSS'] = 'Pielāgotais CSS';
+$lang['POPUPTHUMB'] = 'Attēla sīkbilde';
+$lang['POPUPNAME'] = 'Attēla nosaukums';
+$lang['POPUPLINK'] = 'Pievienot saiti attēlam';
+$lang['POPUPCOMMENT'] = 'Attēla komentāri';
+$lang['POPUPAUTHOR'] = 'Attēla autors';
+$lang['PLUGINCONF'] = 'Spraudņa opcijas';
+$lang['PINSHADOWSIZE'] = 'Ēnas izmēri';
+$lang['PINSHADOWPATH_DESC'] = 'Saite uz jūsu pina fona (ēnas) attēlu';
+$lang['IMAGERYBY'] = 'Attēlojums ';
+$lang['NOWORLDWARP'] = 'Bez Pasaules metiem';
+$lang['L_MAP'] = 'Kreisās puses izvēlnes konfigurācija';
+$lang['LEFTPOPUPINFO_DESC'] = 'Izvēlēties ko rādīt uzlecošajos logos';
+$lang['LEFTPOPUPINFO'] = 'Atlasīt uzlecošo logu saturu';
+$lang['LEFTLINK'] = 'Pasaules kartes izvēlnes nosaukums';
+$lang['HEIGHT_DESC'] = 'pikseļos (px)';
+$lang['NEVER'] = 'nav uzlecošo logu';
+$lang['NOPIN'] = 'nav pin';
+$lang['HEIGHT'] = 'Kartes austums';
+$lang['G_MAP'] = 'Kartes konfigurācija';
+$lang['DISPLAY'] = 'Rādīt konfigurāciju';
+$lang['DEFAULTPIN'] = 'pēc noklusējuma';
+$lang['CUSTOMBASELAYER'] = 'Pielāgotais kartes stils';
+$lang['BASELAYER'] = 'Kartes stils';
+$lang['AUTOSYNC'] = 'Automātiski sinhronizēt EXIF, ja eksistē';
+$lang['ATTRLEAFLET'] = 'Rārīt \'Powered by Leaflet\'';
+$lang['ATTRIMAGERY_DESC'] = 'Rāda izmantotās mapes stilu';
+$lang['ATTRIMAGERY'] = 'Rādīt kartes stilu';
+$lang['ADD_BEFORE_DESC'] = 'Kur rādīt atrašanās vietas informāciju';
+$lang['ADD_BEFORE'] = 'Vispirms ievadi atrašanās vietu ';
+$lang['PINSHADOWPATH'] = 'Ēna';
+$lang['PIN'] = 'Izvēlēties pin';
+$lang['LEFTPOPUP'] = 'Rādīt uzlecošo logu';
+$lang['H_PIN'] = 'Pin konfigurācija';
+$lang['CLICK'] = 'rādīt uzklikšķinot';
+$lang['ATTRPLUGIN_DESC'] = 'Es izveidoju šo spraudni.:)';
+$lang['ATTRPLUGIN'] = 'Rādīt autora piezīmes';
+$lang['ALWAYS'] = 'rādīt uzreiz';
+?>