Index: /extensions/SocialButtons/admin.php
===================================================================
--- /extensions/SocialButtons/admin.php	(revision 24787)
+++ /extensions/SocialButtons/admin.php	(revision 24788)
@@ -12,4 +12,5 @@
     'position' => $_POST['position'],
     'on_index' => get_boolean($_POST['on_index']),
+    'img_size' => $_POST['img_size'],
     'light' => isset($_POST['light']),
     'twitter' => array(
@@ -27,5 +28,4 @@
       'enabled' => isset($_POST['tumblr']['enabled']),
       'type' => $_POST['tumblr']['type'],
-      'img_size' => $_POST['tumblr']['img_size'],
       ),
     'facebook' => array(
@@ -37,5 +37,4 @@
       'enabled' => isset($_POST['pinterest']['enabled']),
       'layout' => $_POST['pinterest']['layout'],
-      'img_size' => $_POST['pinterest']['img_size'],
       ),
     'reddit' => array(
Index: /extensions/SocialButtons/include/install.inc.php
===================================================================
--- /extensions/SocialButtons/include/install.inc.php	(revision 24787)
+++ /extensions/SocialButtons/include/install.inc.php	(revision 24788)
@@ -11,4 +11,5 @@
       'position' => 'toolbar',
       'on_index' => true,
+      'img_size' => 'Original',
       'light' => false,
       'twitter' => array(
@@ -26,5 +27,4 @@
         'enabled' => true,
         'type' => 'share_1',
-        'img_size' => 'Original',
         ),
       'facebook' => array(
@@ -36,5 +36,4 @@
         'enabled' => true,
         'layout' => 'horizontal',
-        'img_size' => 'Original',
         ),
       'reddit' => array(
@@ -48,6 +47,6 @@
     {
       $temp = is_string($conf['TumblrShare']) ? unserialize($conf['TumblrShare']) : $conf['TumblrShare'];
-      if (!empty($temp['type']))      $default_config['tumblr']['type'] =     $temp['type'];
-      if (!empty($temp['img_size']))  $default_config['tumblr']['img_size'] = $temp['img_size'];
+      if (!empty($temp['type']))      $default_config['tumblr']['type'] = $temp['type'];
+      if (!empty($temp['img_size']))  $default_config['img_size'] =       $temp['img_size'];
     }
     if (isset($conf['TweetThis']))
@@ -77,5 +76,4 @@
         'enabled' => true,
         'layout' => 'horizontal',
-        'img_size' => 'Original',
         );
     }
@@ -105,4 +103,10 @@
     }
     
+    if (!isset($new_conf['img_size']))
+    {
+      $new_conf['img_size'] = isset($new_conf['tumblr']['img_size']) ? $new_conf['tumblr']['img_size'] : 'Original';
+      unset($new_conf['tumblr']['img_size'], $new_conf['pinterest']['img_size']);
+    }
+    
     $conf['SocialButtons'] = serialize($new_conf);
     conf_update_param('SocialButtons', $conf['SocialButtons']);
Index: /extensions/SocialButtons/include/pinterest.inc.php
===================================================================
--- /extensions/SocialButtons/include/pinterest.inc.php	(revision 24787)
+++ /extensions/SocialButtons/include/pinterest.inc.php	(revision 24788)
@@ -10,19 +10,8 @@
   }
   
-  global $conf, $template, $picture;
+  global $conf, $template;
   
   // config
   $tpl_vars['PINTEREST'] = $conf['SocialButtons']['pinterest'];
-  $tpl_vars['PINTEREST']['title'] = $picture['current']['TITLE'];
-  
-  if ($conf['SocialButtons']['pinterest']['img_size'] == 'Original')
-  {
-    $tpl_vars['PINTEREST']['source'] = $picture['current']['src_image']->get_url();
-  }
-  else
-  {
-    $tpl_vars['PINTEREST']['source'] = DerivativeImage::url($conf['SocialButtons']['pinterest']['img_size'], $picture['current']['src_image']);
-  }
-  
   
   $template->set_filename('pinterest_button', realpath(SOCIALBUTT_PATH .'template/pinterest.tpl'));
Index: /extensions/SocialButtons/include/reddit.inc.php
===================================================================
--- /extensions/SocialButtons/include/reddit.inc.php	(revision 24787)
+++ /extensions/SocialButtons/include/reddit.inc.php	(revision 24788)
@@ -19,4 +19,5 @@
     $conf['SocialButtons']['reddit']['type'] = 'spreddit7';
   }
+  
   
   // config
Index: /extensions/SocialButtons/include/tumblr.inc.php
===================================================================
--- /extensions/SocialButtons/include/tumblr.inc.php	(revision 24787)
+++ /extensions/SocialButtons/include/tumblr.inc.php	(revision 24788)
@@ -9,31 +9,4 @@
   $tpl_vars['TUMBLR'] = $conf['SocialButtons']['tumblr'];
   
-  // button on piture page
-  if ($basename == 'picture')
-  {
-    global $picture;
-    
-    $tpl_vars['TUMBLR']['mode'] = 'photo';
-    $tpl_vars['TUMBLR']['title'] = $picture['current']['TITLE'];
-    
-    if ($conf['SocialButtons']['tumblr']['img_size'] == 'Original')
-    {
-      $tpl_vars['TUMBLR']['source'] = $picture['current']['src_image']->get_url();
-    }
-    else
-    {
-      $tpl_vars['TUMBLR']['source'] = DerivativeImage::url($conf['SocialButtons']['tumblr']['img_size'], $picture['current']['src_image']);
-    }
-  }
-  // button on other pages
-  else if ($basename == 'index')
-  {
-    global $page;
-    
-    $tpl_vars['TUMBLR']['mode'] = 'link';
-    $tpl_vars['TUMBLR']['title'] = strip_tags($page['title']);
-  }
-  
-  
   $template->set_filename('tumblr_button', realpath(SOCIALBUTT_PATH .'template/tumblr.tpl'));
   $buttons[] = 'tumblr_button';
Index: /extensions/SocialButtons/main.inc.php
===================================================================
--- /extensions/SocialButtons/main.inc.php	(revision 24787)
+++ /extensions/SocialButtons/main.inc.php	(revision 24788)
@@ -94,5 +94,5 @@
 function socialbutt_add_button()
 {
-  global $conf, $template;
+  global $conf, $template, $picture;
   
   $basename = script_basename();
@@ -121,10 +121,24 @@
   $tpl_vars = array(
     'share_url' => $share_url,
+    'basename' => $basename,
     'position' => $conf['SocialButtons']['position'],
     'light' => $conf['SocialButtons']['light'],
     'copyright' => '(from <a href="'.$share_url.'">'.$conf['gallery_title'].'</a>)',
     );
+  
+  if ($basename == 'picture')
+  {
+    if ($conf['SocialButtons']['img_size'] == 'Original')
+    {
+      $tpl_vars['source'] = $picture['current']['src_image']->get_url();
+    }
+    else
+    {
+      $tpl_vars['source'] = DerivativeImage::url($conf['SocialButtons']['img_size'], $picture['current']['src_image']);
+    }
+  }
+  
+  
   $buttons = array();
-  
   
   if ($conf['SocialButtons']['google']['enabled'])
Index: /extensions/SocialButtons/template/admin.tpl
===================================================================
--- /extensions/SocialButtons/template/admin.tpl	(revision 24787)
+++ /extensions/SocialButtons/template/admin.tpl	(revision 24788)
@@ -77,4 +77,12 @@
   <tr class="property">
     <td>
+      {'Shared picture size'|@translate}
+    </td>
+    <td>
+      {html_options name="img_size" values=$img_sizes output=$img_sizes|translate selected=$img_size}
+    </td>
+  </tr>
+  <tr class="property">
+    <td>
       <label for="light_mode">{'Light mode'|@translate}</label>
     </td>
@@ -190,37 +198,4 @@
 
 <br>
-
-<div class="socialbutt {if not $pinterest.enabled}disabled{else}enabled{/if}"> {* <!-- pinterest --> *}
-<table>
-  <thead>
-    <tr><td colspan="2">
-      <label title="{if $pinterest.enabled}{'Disable'|@translate}{else}{'Enable'|@translate}{/if}">
-        <img src="{$SOCIALBUTT_PATH}template/images/pinterest_logo.png"/>
-        <input class="enable" style="display:none;" type="checkbox" name="pinterest[enabled]" {if $pinterest.enabled}checked="checked"{/if}/>
-      </label>
-    </td></tr>
-  </thead>
-  <tbody>
-    <tr class="property">
-      <td>
-        {'Shared picture size'|@translate}
-      </td>
-      <td>
-        {html_options name="pinterest[img_size]" values=$img_sizes output=$img_sizes|translate selected=$pinterest.img_size}
-      </td>
-    </tr>
-    <tr class="property not-light">
-      <td>
-        {'Annotation'|@translate}
-      </td>
-      <td>
-        <label><input type="radio" name="pinterest[layout]" value="none" {if $pinterest.layout=='none'}checked="checked"{/if}/> {'None'|@translate}</label><br>
-        <label><input type="radio" name="pinterest[layout]" value="horizontal" {if $pinterest.layout=='horizontal'}checked="checked"{/if}/> {'Right bubble'|@translate}</label><br>
-        <label><input type="radio" name="pinterest[layout]" value="vertical" {if $pinterest.layout=='vertical'}checked="checked"{/if}/> {'Top bubble'|@translate}</label>
-      </td>
-    </tr>
-  </tbody>
-</table>
-</div> {* <!-- pinterest --> *}
 
 <div class="socialbutt {if not $facebook.enabled}disabled{else}enabled{/if}"> {* <!-- facebook --> *}
@@ -266,4 +241,53 @@
 </div> {* <!-- facebook --> *}
 
+<div class="socialbutt {if not $reddit.enabled}disabled{else}enabled{/if}"> {* <!-- reddit --> *}
+<table>
+  <thead>
+    <tr><td colspan="2">
+      <label title="{if $reddit.enabled}{'Disable'|@translate}{else}{'Enable'|@translate}{/if}">
+        <img src="{$SOCIALBUTT_PATH}template/images/reddit_logo.png"/>
+        <input class="enable" style="display:none;" type="checkbox" name="reddit[enabled]" {if $reddit.enabled}checked="checked"{/if}/>
+      </label>
+    </td></tr>
+  </thead>
+  <tbody>
+    <tr class="property">
+      <td>
+        {'Button type'|@translate}
+      </td>
+      <td></td>
+    </tr>
+    <tr class="button">
+      <td><label>
+        <img src="http://fr.reddit.com/static/spreddit7.gif"/>
+        <input type="radio" name="reddit[type]" value="spreddit7" {if $reddit.type=='spreddit7'}checked="checked"{/if}/>
+      </label></td>
+      <td><label>
+        <input type="radio" name="reddit[type]" value="spreddit6" {if $reddit.type=='spreddit6'}checked="checked"{/if}/>
+        <img src="http://fr.reddit.com/static/spreddit6.gif"/>
+      </label></td>
+    </tr>
+    <tr class="button">
+      <td><label>
+        <img src="http://fr.reddit.com/static/spreddit1.gif"/>
+        <input type="radio" name="reddit[type]" value="spreddit1" {if $reddit.type=='spreddit1'}checked="checked"{/if}/>
+      </label></td>
+      <td><label>
+        <input type="radio" name="reddit[type]" value="interactive" {if $reddit.type=='interactive'}checked="checked"{/if}/>
+        <img src="{$SOCIALBUTT_PATH}template/images/reddit_interactive.png"/>
+      </label></td>
+    </tr>
+    <tr class="property">
+      <td>
+        <label for="reddit_community">{'Community'|@translate}</label>
+      </td>
+      <td>
+        <input type="text" id="reddit_community" name="reddit[community]" value="{$reddit.community}"/>
+      </td>
+    </tr>
+  </tbody>
+</table>
+</div> {* <!-- reddit --> *}
+
 <br>
 
@@ -325,64 +349,32 @@
       </label></td>
     </tr>
-    <tr class="property">
-      <td>
-        {'Shared picture size'|@translate}
-      </td>
-      <td>
-        {html_options name="tumblr[img_size]" values=$img_sizes output=$img_sizes|translate selected=$tumblr.img_size}
-      </td>
-    </tr>
   </tbody>
 </table>
 </div> {* <!-- tumblr --> *}
 
-<div class="socialbutt {if not $reddit.enabled}disabled{else}enabled{/if}"> {* <!-- reddit --> *}
-<table>
-  <thead>
-    <tr><td colspan="2">
-      <label title="{if $reddit.enabled}{'Disable'|@translate}{else}{'Enable'|@translate}{/if}">
-        <img src="{$SOCIALBUTT_PATH}template/images/reddit_logo.png"/>
-        <input class="enable" style="display:none;" type="checkbox" name="reddit[enabled]" {if $reddit.enabled}checked="checked"{/if}/>
-      </label>
-    </td></tr>
-  </thead>
-  <tbody>
-    <tr class="property">
-      <td>
-        {'Button type'|@translate}
-      </td>
-      <td></td>
-    </tr>
-    <tr class="button">
-      <td><label>
-        <img src="http://fr.reddit.com/static/spreddit7.gif"/>
-        <input type="radio" name="reddit[type]" value="spreddit7" {if $reddit.type=='spreddit7'}checked="checked"{/if}/>
-      </label></td>
-      <td><label>
-        <input type="radio" name="reddit[type]" value="spreddit6" {if $reddit.type=='spreddit6'}checked="checked"{/if}/>
-        <img src="http://fr.reddit.com/static/spreddit6.gif"/>
-      </label></td>
-    </tr>
-    <tr class="button">
-      <td><label>
-        <img src="http://fr.reddit.com/static/spreddit1.gif"/>
-        <input type="radio" name="reddit[type]" value="spreddit1" {if $reddit.type=='spreddit1'}checked="checked"{/if}/>
-      </label></td>
-      <td><label>
-        <input type="radio" name="reddit[type]" value="interactive" {if $reddit.type=='interactive'}checked="checked"{/if}/>
-        <img src="{$SOCIALBUTT_PATH}template/images/reddit_interactive.png"/>
-      </label></td>
-    </tr>
-    <tr class="property">
-      <td>
-        <label for="reddit_community">{'Community'|@translate}</label>
-      </td>
-      <td>
-        <input type="text" id="reddit_community" name="reddit[community]" value="{$reddit.community}"/>
-      </td>
-    </tr>
-  </tbody>
-</table>
-</div> {* <!-- tumblr --> *}
+<div class="socialbutt {if not $pinterest.enabled}disabled{else}enabled{/if}"> {* <!-- pinterest --> *}
+<table>
+  <thead>
+    <tr><td colspan="2">
+      <label title="{if $pinterest.enabled}{'Disable'|@translate}{else}{'Enable'|@translate}{/if}">
+        <img src="{$SOCIALBUTT_PATH}template/images/pinterest_logo.png"/>
+        <input class="enable" style="display:none;" type="checkbox" name="pinterest[enabled]" {if $pinterest.enabled}checked="checked"{/if}/>
+      </label>
+    </td></tr>
+  </thead>
+  <tbody>
+    <tr class="property not-light">
+      <td>
+        {'Annotation'|@translate}
+      </td>
+      <td>
+        <label><input type="radio" name="pinterest[layout]" value="none" {if $pinterest.layout=='none'}checked="checked"{/if}/> {'None'|@translate}</label><br>
+        <label><input type="radio" name="pinterest[layout]" value="horizontal" {if $pinterest.layout=='horizontal'}checked="checked"{/if}/> {'Right bubble'|@translate}</label><br>
+        <label><input type="radio" name="pinterest[layout]" value="vertical" {if $pinterest.layout=='vertical'}checked="checked"{/if}/> {'Top bubble'|@translate}</label>
+      </td>
+    </tr>
+  </tbody>
+</table>
+</div> {* <!-- pinterest --> *}
 
 <br>
Index: /extensions/SocialButtons/template/facebook.tpl
===================================================================
--- /extensions/SocialButtons/template/facebook.tpl	(revision 24787)
+++ /extensions/SocialButtons/template/facebook.tpl	(revision 24788)
@@ -1,12 +1,16 @@
 {strip}
 {if $SOCIALBUTT.light}
-<a href="https://www.facebook.com/sharer.php?u={$SOCIALBUTT.share_url|urlencode}&t={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}" rel="nofollow"
-  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" target="_blank">
-  <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/facebook_{$SOCIALBUTT.FACEBOOK.color}.png" alt="Share on Facebook"></a>
+  {if $SOCIALBUTT.basename=='picture'}
+    <a href="http://www.facebook.com/sharer.php?s=100&p[url]={$SOCIALBUTT.share_url|urlencode}&p[title]={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}&p[summary]={$COMMENT_IMG|cat:$SOCIALBUTT.copyright|urlencode}&p[images][0]={$SOCIALBUTT.source|urlencode}"
+  {else}
+    <a href="http://www.facebook.com/sharer.php?s=100&p[url]={$SOCIALBUTT.share_url|urlencode}&p[title]={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}&p[summary]={$CONTENT_DESCRIPTION|cat:$SOCIALBUTT.copyright|urlencode}"
+  {/if}
+    onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" target="_blank"  rel="nofollow">
+    <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/facebook_{$SOCIALBUTT.FACEBOOK.color}.png" alt="Share on Facebook"></a>
 {else}
-{footer_script}jQuery('body').prepend('<div id="fb-root"></div>');{/footer_script}
-{combine_script id='facebook_jssdk' load='footer' path='https://connect.facebook.net/'|cat:$SOCIALBUTT.FACEBOOK.lang|cat:'/all.js#xfbml=1'}
-<div style="display:inline-block;" class="fb-like" data-send="false" data-show-faces="false" 
-  data-href="{$SOCIALBUTT.share_url}" data-layout="{$SOCIALBUTT.FACEBOOK.layout}" data-colorscheme="{$SOCIALBUTT.FACEBOOK.color}"></div>
+  {footer_script}jQuery('body').prepend('<div id="fb-root"></div>');{/footer_script}
+  {combine_script id='facebook_jssdk' load='footer' path='https://connect.facebook.net/'|cat:$SOCIALBUTT.FACEBOOK.lang|cat:'/all.js#xfbml=1'}
+  <div style="display:inline-block;" class="fb-like" data-send="false" data-show-faces="false" 
+    data-href="{$SOCIALBUTT.share_url}" data-layout="{$SOCIALBUTT.FACEBOOK.layout}" data-colorscheme="{$SOCIALBUTT.FACEBOOK.color}"></div>
 {/if}
 {/strip}
Index: /extensions/SocialButtons/template/google.tpl
===================================================================
--- /extensions/SocialButtons/template/google.tpl	(revision 24787)
+++ /extensions/SocialButtons/template/google.tpl	(revision 24788)
@@ -1,11 +1,11 @@
 {strip}
 {if $SOCIALBUTT.light}
-<a title="Google +" href="https://plus.google.com/share?url={$SOCIALBUTT.share_url|urlencode}&hl={$SOCIALBUTT.GOOGLE.lang}" rel="nofollow" 
-  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=390,width=480');return false;" target="_blank">
-  <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/google_{$SOCIALBUTT.GOOGLE.size}.png" alt="Share on Google+"></a>
+  <a title="Google +" href="https://plus.google.com/share?url={$SOCIALBUTT.share_url|urlencode}&hl={$SOCIALBUTT.GOOGLE.lang}" rel="nofollow" 
+    onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=390,width=480');return false;" target="_blank">
+    <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/google_{$SOCIALBUTT.GOOGLE.size}.png" alt="Share on Google+"></a>
 {else}
-{combine_script id='google_plusone' load='footer' path='https://apis.google.com/js/plusone.js'}
-<script type="text/javascript">window.___gcfg = {ldelim}lang: '{$SOCIALBUTT.GOOGLE.lang}'};</script>
-<div style="display:inline-block;" class="g-plusone" data-size="{$SOCIALBUTT.GOOGLE.size}" data-annotation="{$SOCIALBUTT.GOOGLE.annotation}" data-href="{$SOCIALBUTT.share_url}" data-recommendations="false"></div>
+  {combine_script id='google_plusone' load='footer' path='https://apis.google.com/js/plusone.js'}
+  <script type="text/javascript">window.___gcfg = {ldelim}lang: '{$SOCIALBUTT.GOOGLE.lang}'};</script>
+  <div style="display:inline-block;" class="g-plusone" data-size="{$SOCIALBUTT.GOOGLE.size}" data-annotation="{$SOCIALBUTT.GOOGLE.annotation}" data-href="{$SOCIALBUTT.share_url}" data-recommendations="false"></div>
 {/if}
 {/strip}
Index: /extensions/SocialButtons/template/pinterest.tpl
===================================================================
--- /extensions/SocialButtons/template/pinterest.tpl	(revision 24787)
+++ /extensions/SocialButtons/template/pinterest.tpl	(revision 24788)
@@ -1,4 +1,4 @@
 {strip}
-<a href="http://pinterest.com/pin/create/button/?url={$SOCIALBUTT.share_url|urlencode}&media={$SOCIALBUTT.PINTEREST.source|urlencode}&description={$SOCIALBUTT.PINTEREST.title|cat:' '|cat:$SOCIALBUTT.copyright|urlencode}" rel="nofollow"
+<a href="http://pinterest.com/pin/create/button/?url={$SOCIALBUTT.share_url|urlencode}&media={$SOCIALBUTT.source|urlencode}&description={$PAGE_TITLE|cat:' '|cat:$SOCIALBUTT.copyright|urlencode}" rel="nofollow"
 {if $SOCIALBUTT.light}
   onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=470,width=600');return false;" target="_blank"
Index: /extensions/SocialButtons/template/reddit.tpl
===================================================================
--- /extensions/SocialButtons/template/reddit.tpl	(revision 24787)
+++ /extensions/SocialButtons/template/reddit.tpl	(revision 24788)
@@ -1,14 +1,14 @@
 {strip}
 {if not $SOCIALBUTT.light && $SOCIALBUTT.REDDIT.type == 'interactive'}
-<script type="text/javascript">
-reddit_url = "{$SOCIALBUTT.share_url|escape:javascript}";
-reddit_title = "{$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|escape:javascript}";
-reddit_target = "{$SOCIALBUTT.REDDIT.community|escape:javascript}";
-reddit_newwindow = 1;
-</script>
-<script type="text/javascript" src="http://{$SOCIALBUTT.REDDIT.lang}.reddit.com/static/button/button1.js"></script>
+  <script type="text/javascript">
+  reddit_url = "{$SOCIALBUTT.share_url|escape:javascript}";
+  reddit_title = "{$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|escape:javascript}";
+  reddit_target = "{$SOCIALBUTT.REDDIT.community|escape:javascript}";
+  reddit_newwindow = 1;
+  </script>
+  <script type="text/javascript" src="http://{$SOCIALBUTT.REDDIT.lang}.reddit.com/static/button/button1.js"></script>
 {else}
-<a href="http://{$SOCIALBUTT.REDDIT.lang}.reddit.com/submit?url={$SOCIALBUTT.share_url|urlencode}&title={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}&target={$SOCIALBUTT.REDDIT.community|urlencode}" rel="nofollow" target="_blank">
-  <img src="http://www.reddit.com/static/{$SOCIALBUTT.REDDIT.type}.gif" alt="Submit to reddit"></a>
+  <a href="http://{$SOCIALBUTT.REDDIT.lang}.reddit.com/submit?url={$SOCIALBUTT.share_url|urlencode}&title={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}&target={$SOCIALBUTT.REDDIT.community|urlencode}" rel="nofollow" target="_blank">
+    <img src="http://www.reddit.com/static/{$SOCIALBUTT.REDDIT.type}.gif" alt="Submit to reddit"></a>
 {/if}
 {/strip}
Index: /extensions/SocialButtons/template/tumblr.tpl
===================================================================
--- /extensions/SocialButtons/template/tumblr.tpl	(revision 24787)
+++ /extensions/SocialButtons/template/tumblr.tpl	(revision 24788)
@@ -1,11 +1,11 @@
 {strip}
-{if $SOCIALBUTT.TUMBLR.mode=='photo'}
-{capture assign="inline_tags"}{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first},{/if}{$tag.name}{/foreach}{/capture}
-<a href="http://www.tumblr.com/share/photo?source={$SOCIALBUTT.TUMBLR.source|urlencode}&caption={$SOCIALBUTT.TUMBLR.title|cat:' '|cat:$SOCIALBUTT.copyright|urlencode}&clickthru={$SOCIALBUTT.share_url|urlencode}&tags={$inline_tags|urlencode}" rel="nofollow" 
+{if $SOCIALBUTT.basename=='picture'}
+  {capture assign="inline_tags"}{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first},{/if}{$tag.name}{/foreach}{/capture}
+  <a href="http://www.tumblr.com/share/photo?source={$SOCIALBUTT.source|urlencode}&caption={$PAGE_TITLE|cat:' '|cat:$SOCIALBUTT.copyright|urlencode}&clickthru={$SOCIALBUTT.share_url|urlencode}&tags={$inline_tags|urlencode}"
 {else}
-<a href="http://www.tumblr.com/share/link?url={$SOCIALBUTT.share_url|urlencode}&name={$SOCIALBUTT.TUMBLR.title|cat:' | '|cat:$GALLERY_TITLE|urlencode}&description={$CONTENT_DESCRIPTION|cat:$SOCIALBUTT.copyright|urlencode}" rel="nofollow" 
+  <a href="http://www.tumblr.com/share/link?url={$SOCIALBUTT.share_url|urlencode}&name={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}&description={$CONTENT_DESCRIPTION|cat:$SOCIALBUTT.copyright|urlencode}"
 {/if}
 {if $SOCIALBUTT.light}
-  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=430,width=500');return false;" target="_blank"
+  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=430,width=500');return false;" target="_blank" rel="nofollow" 
 {else}
   {combine_script id='tumblr_share' load='footer' path='http://platform.tumblr.com/v1/share.js'}