Index: /extensions/piwigo-openstreetmap/language/el_GR/description.txt
===================================================================
--- /extensions/piwigo-openstreetmap/language/el_GR/description.txt	(revision 24873)
+++ /extensions/piwigo-openstreetmap/language/el_GR/description.txt	(revision 24874)
@@ -1,1 +1,1 @@
-Ενσωμάτωση OpenStreetMap για το Piwigo
+Ενσωμάτωση OpenStreetMap με το Piwigo
Index: /extensions/piwigo-openstreetmap/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/piwigo-openstreetmap/language/el_GR/plugin.lang.php	(revision 24873)
+++ /extensions/piwigo-openstreetmap/language/el_GR/plugin.lang.php	(revision 24874)
@@ -65,3 +65,33 @@
 $lang['CUSTOMBASELAYERURL'] = 'Tile server URL';
 $lang['CUSTOMBASELAYERURL_DESC'] = 'Μόνο αν έχει επιλεγεί to «προσαρμοσμένο» ως το ύφος του χάρτη. Παράδειγμα:  http://tile.openstreetmap.org/{z}/{x}/{y}.png';
+$lang['POPUPNAME'] = 'Το όνομα της εικόνας';
+$lang['POPUPLINK'] = 'Προσθέστε ένα σύνδεσμο για την εικόνα';
+$lang['POPUPCOMMENT'] = 'Σχόλια της εικόνας';
+$lang['POPUPAUTHOR'] = 'Ο Δημιουργός της εικόνας';
+$lang['PLUGINCONF'] = 'Επιλογές πρόσθετου';
+$lang['PLUGINBY'] = 'Το πρόσθετο από';
+$lang['PIN_DESC'] = 'Επιλέξτε την τελευταία επιλογή, αν θέλετε να χρησιμοποιήσετε το δικό σας.';
+$lang['PINSIZE_DESC'] = 'Διαστάσεις εικόνας σε px. Το διαχωριστικό είναι «x». Παράδειγμα: \'24x24 \'';
+$lang['PINSIZE'] = 'μέγεθος καρφιτσών';
+$lang['PINSHADOWSIZE_DESC'] = 'Διαστάσεις εικόνας σε px. Το διαχωριστικό είναι «x». Παράδειγμα: \'24x24 \'';
+$lang['PINSHADOWSIZE'] = 'Μέγεθος Σκιάς';
+$lang['PINSHADOWPATH_DESC'] = 'Διαδρομή της εικόνας της σκιάς της καρφίτσας σας.';
+$lang['PINSHADOWPATH'] = 'Σκιά';
+$lang['PINPOPUPOFFSET_DESC'] = 'Η θέση της εικόνας της καρφίτσας, όπου το αναδυόμενο χτυπά την καρφίτσα. 0x0 είναι το σημείο της καρφίτσας.';
+$lang['PINPOPUPOFFSET'] = 'Αντιστάθμιση Αναδυόμενου';
+$lang['PINPATH_DESC'] = 'Διαδρομή προς τη δική σας Καρφίτσα (μόνο αν «δική σας» είναι επιλεγμένο).';
+$lang['NOPIN'] = 'όχι καρφίτσα';
+$lang['PINPATH'] = 'Δικιά σας (προσαρμοσμένο στυλ)';
+$lang['PINOFFSET_DESC'] = 'Η θέση της εικόνας της καρφίτσας, εκεί που η καρφίτσα χτυπά τον χάρτη. 0x0 είναι η επάνω αριστερή γωνία. Παράδειγμα: στόχαστρο = κέντρο της εικόνας ';
+$lang['PIN'] = 'Επιλέξτε καρφίτσα ';
+$lang['PINOFFSET'] = 'αντιστάθμιση σημείου καρφίτσας';
+$lang['NOWORLDWARP_DESC'] = 'Κανονικά η λέξη θα συνεχίσει προς τα αριστερά και τα δεξιά. Η επιλογή αυτή περιορίζει την προβολή σε «μια λέξη».';
+$lang['OWNPIN'] = 'το δικό τους (προσαρμοσμένο στυλ)';
+$lang['NOWORLDWARP'] = 'όχι αναδίπλωση κειμένου';
+$lang['NEVER'] = 'Όχι αναδυόμενο';
+$lang['L_MAP'] = 'Διαμόρφωση Αριστερού μενού ';
+$lang['LEFTPOPUPINFO_DESC'] = 'Επιλέξτε τι θέλετε να εμφανίζετε στο αναδυόμενο';
+$lang['LEFTPOPUP_DESC'] = 'Δείτε ένα αναδυόμενο παράθυρο, αν κάνετε κλικ στο pin.';
+$lang['LEFTPOPUPINFO'] = 'Επιλέξτε το περιεχόμενο του αναδυόμενου ';
+$lang['LEFTPOPUP'] = 'Εμφάνιση αναδυόμενου';
 ?>