Index: /extensions/SocialButtons/template/facebook.tpl
===================================================================
--- /extensions/SocialButtons/template/facebook.tpl	(revision 24877)
+++ /extensions/SocialButtons/template/facebook.tpl	(revision 24878)
@@ -6,5 +6,5 @@
     <a href="http://www.facebook.com/sharer.php?s=100&p[url]={$SOCIALBUTT.share_url|urlencode}&p[title]={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}&p[summary]={$CONTENT_DESCRIPTION|cat:$SOCIALBUTT.copyright|urlencode}"
   {/if}
-    {' '}onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" target="_blank"  rel="nofollow">
+    onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=500');return false;" target="_blank" rel="nofollow">
     <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/facebook_{$SOCIALBUTT.FACEBOOK.color}.png" alt="Share on Facebook"></a>
 {else}
Index: /extensions/SocialButtons/template/google.tpl
===================================================================
--- /extensions/SocialButtons/template/google.tpl	(revision 24877)
+++ /extensions/SocialButtons/template/google.tpl	(revision 24878)
@@ -2,5 +2,5 @@
 {if $SOCIALBUTT.light}
   <a title="Google +" href="https://plus.google.com/share?url={$SOCIALBUTT.share_url|urlencode}&hl={$SOCIALBUTT.GOOGLE.lang}" rel="nofollow" 
-    {' '}onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=390,width=480');return false;" target="_blank">
+    onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=390,width=480');return false;" target="_blank">
     <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/google_{$SOCIALBUTT.GOOGLE.size}.png" alt="Share on Google+"></a>
 {else}
Index: /extensions/SocialButtons/template/pinterest.tpl
===================================================================
--- /extensions/SocialButtons/template/pinterest.tpl	(revision 24877)
+++ /extensions/SocialButtons/template/pinterest.tpl	(revision 24878)
@@ -2,7 +2,7 @@
 <a href="http://pinterest.com/pin/create/button/?url={$SOCIALBUTT.share_url|urlencode}&media={$SOCIALBUTT.source|urlencode}&description={$PAGE_TITLE|cat:' '|cat:$SOCIALBUTT.copyright|urlencode}" rel="nofollow"
 {if $SOCIALBUTT.light}
-  {' '}onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=470,width=600');return false;" target="_blank"
+  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=470,width=600');return false;" target="_blank"
 {else}
-  {' '}class="pin-it-button" count-layout="{$SOCIALBUTT.PINTEREST.layout}"
+  class="pin-it-button" count-layout="{$SOCIALBUTT.PINTEREST.layout}"
   {combine_script id='pinterest_pinit' load='footer' path='https://assets.pinterest.com/js/pinit.js'}
 {/if}
Index: /extensions/SocialButtons/template/tumblr.tpl
===================================================================
--- /extensions/SocialButtons/template/tumblr.tpl	(revision 24877)
+++ /extensions/SocialButtons/template/tumblr.tpl	(revision 24878)
@@ -7,5 +7,5 @@
 {/if}
 {if $SOCIALBUTT.light}
-  {' '}onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=430,width=500');return false;" target="_blank" rel="nofollow" 
+  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=430,width=500');return false;" target="_blank" rel="nofollow" 
 {else}
   {combine_script id='tumblr_share' load='footer' path='http://platform.tumblr.com/v1/share.js'}
Index: /extensions/SocialButtons/template/twitter.tpl
===================================================================
--- /extensions/SocialButtons/template/twitter.tpl	(revision 24877)
+++ /extensions/SocialButtons/template/twitter.tpl	(revision 24878)
@@ -2,8 +2,8 @@
 <a href="https://twitter.com/share?url={$SOCIALBUTT.share_url|urlencode}&text={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE|urlencode}{if $SOCIALBUTT.TWITTER.via}&via={$SOCIALBUTT.TWITTER.via}{/if}" rel="nofollow"
 {if $SOCIALBUTT.light}
-  {' '}onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=470,width=600');return false;" target="_blank"
+  onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=470,width=600');return false;" target="_blank"
 {else}
-  {' '}data-url="{$SOCIALBUTT.share_url}" data-lang="{$SOCIALBUTT.TWITTER.lang}" data-via="{$SOCIALBUTT.TWITTER.via}"
-  {' '}data-size="{$SOCIALBUTT.TWITTER.size}" data-count="{$SOCIALBUTT.TWITTER.count}" class="twitter-share-button"
+  data-url="{$SOCIALBUTT.share_url}" data-lang="{$SOCIALBUTT.TWITTER.lang}" data-via="{$SOCIALBUTT.TWITTER.via}"
+  data-size="{$SOCIALBUTT.TWITTER.size}" data-count="{$SOCIALBUTT.TWITTER.count}" class="twitter-share-button"
   {combine_script id='twitter_widgets' load='footer' path='https://platform.twitter.com/widgets.js'}
 {/if}